﻿using System;
using System.AddIn.Pipeline;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RibbonSizeIssue
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            var expander = new Expander();
            expander.IsExpanded = true;
            expander.ExpandDirection = System.Windows.Controls.ExpandDirection.Down;
            expander.Content = new Rectangle() { Fill = Brushes.Red, Width = 100, Height = 200 };

            var contract = FrameworkElementAdapters.ViewToContractAdapter(expander);

            var control = FrameworkElementAdapters.ContractToViewAdapter(contract);

            presenter.Content = control;
        }
    }
}
